<template>
<div>
			<header class="mui-bar mui-bar-nav">
				<a class="mui-action-back mui-icon mui-icon-left-nav mui-pull-left"></a>
				<h1 class="mui-title">详情</h1>
			</header>
			<div class="mui-content vongi-qingjiadt">
				<form class="mui-input-group mt-10 vongi-qingjiadt" >
					<div class="mui-input-row">
						<label>调班日期</label>
						<span>{{adjustShiftDetail.adjustDate}}</span>
					</div>
					<div class="mui-input-row">
						<label>调班人员</label>
						<span class="vongi-span">{{adjustShiftDetail.arrangeName}}</span>
					</div>
				 
					<div class="mui-input-row">
						<label>调整为</label>
						<span>{{adjustShiftDetail.newShift}}</span>
					</div>
					<div class="mui-input-row">
						<label>备注</label>
						<span>{{adjustShiftDetail.remark}}</span>
					</div>
				</form>
				<form class="mui-input-group mt-10">
					<div class="mui-input-row">
						<label>操作人</label>
						<span>{{adjustShiftDetail.name}}</span>
					</div>
					<div class="mui-input-row">
						<label>操作时间</label>
						<span>{{adjustShiftDetail.createTime}}</span>
					</div>
					<div class="mui-input-row">
						<label>审核类型</label>
						<span>{{adjustShiftDetail.typeName}}</span>
					</div>
					<div class="mui-input-row">
						<label>审核状态</label>
						<span class="color55f868">{{adjustShiftDetail.statusName}}</span>
					</div>
				</form>
			</div>
		</div>
</template>


<script>
	import * as API from '@/apis-xsy/applyclass'
	 

	import Common from '$project/components/Common.vue'
	import Loading from '$project/components/Loading.vue'
	import TopHeader from '$project/components/TopHeader.vue'
	import {
		mapGetters,
		mapMutations
	} from 'vuex'

	export default {
		name: '',
		components: {
			Common,
			Loading,
			TopHeader
		},
		data() {
			return {
				pageTitle: '申请调班详情',

				isLoading: false,
				id: '',
				adjustShiftDetail: {},
				examineDetail: {},
				only: "test"

			}
		},
		created() {
			this.id = this.$route.query.id;
		},
		methods: {
			getClass(ac, i) {
				var reclass = ""

				if (ac.action == "0") {
					if (this.only == "test") {

						this.only = i;
					}
					if (this.only == i) {
						return "color3385FF"
					} else {
						return "mui-hidden"
					}

				}

				if (ac.action == "3" || ac.action == "2") {
					return "colorfe616c"
				}

				if (ac.action == "1" || ac.action == "4") {
					return "color389E0D"
				}
				return reclass
			},
		 
			getAdjustShiftDetail() {
				this.isLoading = true;

				API.arrangeShiftDetail(this.id).then(response => {
					this.adjustShiftDetail = response;
					this.isLoading = false;
				}).catch(error => {
					this.isLoading = false;
					mui.toast(error);
				})
			},
			asynCallBack() {

			}
		},
		mounted() {
			this.getAdjustShiftDetail();
		
		},
		destroyed() {},

	}
</script>
<style src="$project/assets/css/iconfont.css"></style>
<style scoped src="$project/assets/css/xpwyfyy.css"></style>
<style src="$project/assets/css/xsy.css"></style>
<style>
</style>
